Summary:	KeePassXC - Cross Platform Password Manager
Summary(pl.UTF-8):	KeePassXC - Wieloplatformowy zarządca haseł
Name:		keepassxc
Version:	2.3.4
Release:	1
License:	GPL v2+
Group:		X11/Applications
Source0:	https://github.com/keepassxreboot/keepassxc/archive/%{version}.tar.gz
# Source0-md5:	bb173c1499cc088a5ca6caf72ecc8084
URL:		https://keepassxc.org/
BuildRequires:	Qt5Concurrent-devel >= 5.2.0
BuildRequires:	Qt5Core-devel >= 5.2.0
BuildRequires:	Qt5DBus-devel >= 5.2.0
BuildRequires:	Qt5Network-devel >= 5.2.0
BuildRequires:	Qt5Test-devel >= 5.2.0
BuildRequires:	Qt5Widgets-devel >= 5.2.0
BuildRequires:	Qt5X11Extras-devel >= 5.2.0
BuildRequires:	cmake >= 3.1.0
BuildRequires:	libargon2-devel
BuildRequires:	libgcrypt-devel >= 1.7.0
BuildRequires:	libgpg-error-devel
BuildRequires:	libsodium-devel >= 1.0.12
BuildRequires:	libyubikey-devel
BuildRequires:	qt5-build >= 5.2.0
BuildRequires:	qt5-linguist >= 5.2.0
BuildRequires:	qt5-qmake >= 5.2.0
BuildRequires:	rpmbuild(find_lang) >= 1.37
BuildRequires:	rpmbuild(macros) >= 1.230
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-lib-libXi-devel
BuildRequires:	xorg-lib-libXtst-devel
BuildRequires:	ykpers-devel
BuildRequires:	zlib-devel >= 1.2.0
Requires:	Qt5Concurrent >= 5.2.0
Requires:	Qt5Core >= 5.2.0
Requires:	Qt5DBus >= 5.2.0
Requires:	Qt5Network >= 5.2.0
Requires:	Qt5Widgets >= 5.2.0
Requires:	Qt5X11Extras >= 5.2.0
Requires:	desktop-file-utils
Requires:	hicolor-icon-theme
Requires:	libgcrypt >= 1.7.0
Requires:	libsodium >= 1.0.12
Requires:	shared-mime-info
Requires:	zlib >= 1.2.0
Obsoletes:	KeePassX
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
KeePassXC is a free/open-source password manager or safe which helps
you to manage your passwords in a secure way. You can put all your
passwords in one database, which is locked with one master key or a
key-disk. So you only have to remember one single master password or
insert the key-disk to unlock the whole database. The databases are
encrypted using the best and most secure encryption algorithms
currently known (AES and Twofish).

%description -l pl.UTF-8
KeePassXC to darmowy i mający otwarte źródła zarządca do
przechowywania haseł, który pozwala na zarządzanie hasłami w bardzo
bezpieczny sposób. Pozwala umieścić wszystkie swoje hasła w jednej
bazie, która jest zabezpieczona poprzez jedno bardzo trudne hasło albo
dysk z kluczem. Wystarczy więc zapamiętać jedno trudne hasło lub
umieścić dysk z kluczem aby odblokować całą bazę z kluczami. Baza jest
zaszyfrowana najlepszymi i najbardziej bezpiecznymi algorytmami
szyfrowania jakie są do tej pory znane (AES i TwoFish).

%prep
%setup -q

%build
install -d build
cd build
%cmake \
	-DKEEPASSXC_BUILD_TYPE=Release \
	-DWITH_XC_BROWSER=ON \
	-DWITH_XC_SSHAGENT=ON \
	-DWITH_XC_YUBIKEY=ON \
	..
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang keepassx %{name}.lang --with-qm

%{__sed} -i -e '
	s/%lang(en_plurals)/%%lang(en)/
	s/%lang(nl_NL)/%%lang(nl)/
' %{name}.lang

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_icon_cache hicolor
%update_desktop_database
%update_mime_database

%postun
%update_icon_cache hicolor
%update_desktop_database_postun
%update_mime_database

%files -f %{name}.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/keepassxc
%attr(755,root,root) %{_bindir}/keepassxc-cli
%attr(755,root,root) %{_bindir}/keepassxc-proxy
%{_datadir}/metainfo/org.keepassxc.KeePassXC.appdata.xml
%{_datadir}/mime/packages/keepassxc.xml
%{_desktopdir}/org.keepassxc.KeePassXC.desktop
%dir %{_datadir}/keepassxc
%{_datadir}/keepassxc/icons
%dir %{_datadir}/keepassxc/translations
%{_datadir}/keepassxc/wordlists
%dir %{_libdir}/keepassxc
%attr(755,root,root) %{_libdir}/keepassxc/libkeepassx-autotype-xcb.so
%{_iconsdir}/hicolor/*x*/apps/keepassxc*.png
%{_iconsdir}/hicolor/*x*/mimetypes/application-x-keepassxc.png
%{_iconsdir}/hicolor/scalable/apps/keepassxc*.svgz
%{_iconsdir}/hicolor/scalable/mimetypes/application-x-keepassxc.svgz
%{_mandir}/man1/keepassxc-cli.1*
%changelog
* Wed Nov 14 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/keepassxc.git;a=log;h=master

* Mon Nov 05 2018 Jan Palus <atler@pld-linux.org> 7faa084
- enable yubikey support

* Sun Nov 04 2018 Jan Palus <atler@pld-linux.org> e580663
- version 2.3.4

* Sun Nov 04 2018 Jan Palus <atler@pld-linux.org> 68b2b3b
- rename keepassx -> keepassxc

* Wed Apr 20 2016 Jan Rękorajski <baggins@pld-linux.org> 6a4b7e5
- restore git.patch and qt5 support (the freezez with qt4 are still there)
- rel 2

* Sun Mar 20 2016 Jan Palus <atler@pld-linux.org> ca9a406
- correct source url

* Sun Mar 20 2016 Jan Palus <atler@pld-linux.org> cd997dc
- up to 2.0.2

* Sat Jan 16 2016 Szymon Siwek <sls@pld-linux.org> 9c87ea3
- rel. 1

* Sat Jan 16 2016 Szymon Siwek <sls@pld-linux.org> 6b4bf7f
- updated autotype-x11/xcb library name

* Sat Jan 16 2016 Szymon Siwek <sls@pld-linux.org> 4a61f3a
- rm git.patch

* Sat Jan 16 2016 Szymon Siwek <sls@pld-linux.org> 92f6d88
- ver. 2.0

* Sun Oct 11 2015 Elan Ruusamäe <glen@delfi.ee> 172c6aa
- use find lang

* Sun Oct 11 2015 Jan Rękorajski <baggins@pld-linux.org> 7510dc9
- removed outdated TODO

* Sun Oct 11 2015 Jan Rękorajski <baggins@pld-linux.org> 28c3672
- restore git patch; rel 2

* Sun Oct 11 2015 Jan Rękorajski <baggins@pld-linux.org> a8dc126
- up to 2.0 beta 2

* Sat Jan 24 2015 Elan Ruusamäe <glen@delfi.ee> d3ddb77
- rel 2

* Sat Jan 24 2015 Elan Ruusamäe <glen@delfi.ee> e902ed1
- rename to keepassx

* Fri Nov 07 2014 Jan Rękorajski <baggins@pld-linux.org> dddba08
- added update to current git master
- updated BRs

* Fri Nov 07 2014 Jan Rękorajski <baggins@pld-linux.org> e656460
- rel 1

* Fri Nov 07 2014 Jan Rękorajski <baggins@pld-linux.org> e334b5b
- updated to 2.0-alpha6

* Sat Sep 29 2012 Elan Ruusamäe <glen@delfi.ee> 194bc16
- use png icon

